petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDrawSetFromOptions

Sets the graphics type from the options database. Defaults to a PETSc X windows graphics.

### Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscDrawSetFromOptions(PetscDraw draw)

Collective on PetscDraw

### Input Parameter

draw -the graphics context

### Options Database Keys

| -nox | - do not use X graphics (ignore graphics calls, but run program correctly)
| -nox_warning | - when X windows support is not installed this prevents the warning message from being printed
| -draw_pause <pause amount> | - - -1 indicates wait for mouse input, -2 indicates pause when window is to be destroyed
| -draw_marker_type | - <x,point>
| -draw_save [optional filename] | - (X windows only) saves each image before it is cleared to a file
| -draw_save_final_image [optional filename] | - (X windows only) saves the final image displayed in a window
| -draw_save_movie | - converts image files to a movie at the end of the run. See PetscDrawSetSave()
| -draw_save_single_file | - saves each new image in the same file, normally each new image is saved in a new file with 'filename/filename_%d.ext'
| -draw_save_on_clear | - saves an image on each clear, mainly for debugging
| -draw_save_on_flush | - saves an image on each flush, mainly for debugging

Notes: Must be called after PetscDrawCreate() before the PetscDraw is used.

### See Also

PetscDrawCreate(), PetscDrawSetType(), PetscDrawSetSave(), PetscDrawSetSaveFinalImage()

Level:intermediate
Location:src/sys/classes/draw/interface/drawreg.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages